From c83ecec12de3cca3b6ef5a7cdfe3290d6caab1ae Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Santiago=20Ruano=20Rinc=C3=B3n?= <santiagorr@riseup.net>
Date: Thu, 21 Oct 2021 12:13:35 +0200
Subject: [PATCH] Use kk_KZ.UTF-8 instead of kk_KZ.RK1048 when varying locales,
 as a workaround for https://bugs.debian.org/894217

---
 reprotest/build.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/reprotest/build.py b/reprotest/build.py
index 09141df..474641a 100644
--- a/reprotest/build.py
+++ b/reprotest/build.py
@@ -369,7 +369,7 @@ def locales(ctx, build, vary):
     else:
         # if there is an issue with this being random, we could instead select it
         # based on a deterministic hash of the inputs
-        loc = random.choice(['fr_CH.UTF-8', 'es_ES', 'ru_RU.CP1251', 'kk_KZ.RK1048', 'zh_CN'])
+        loc = random.choice(['fr_CH.UTF-8', 'es_ES.UTF-8', 'ru_RU.CP1251', 'kk_KZ.UTF-8', 'zh_CN.UTF-8'])
         if ctx.verbosity >= 1:
             logger.info("LOCALE variation: LC_ALL = " + loc + " LANGUAGE = " + loc + ":fr")
         return build.add_env('LANG', loc).add_env('LC_ALL', loc).add_env('LANGUAGE', '%s:fr' % loc)
-- 
2.33.0

